Subject: Re: FSCKED clock sources WAS(Re: [WIP][PATCHES] Network xmit batching

From: jamal <[email-masked]>
Date: Mon, 25 Jun 2007 12:58:01 -0400

On Thu, 2007-21-06 at 20:45 +0400, Evgeniy Polyakov wrote:
> On Thu, Jun 21, 2007 at 11:54:17AM -0400, jamal ([email-masked]) wrote:
> > Evgeniy, did you sync on the batching case with the git tree?
> 
> My tree contains following commits:
> 
> Latest mainline commit: fa490cfd15d7ce0900097cc4e60cfd7a76381138
> Latest batch commit: 9b8cc32088abfda8be7f394cfd5ee6ac694da39c

That looks right. There have been a few fixes since, but mostly cosmetic
and shouldnt affect the results.
Strange - so far your results contradict both mine on pktgen (since you
show poor performance sometimes) and what Krishna posted on netperf
(since you show improvement).

BTW, on pktgen and batching - dont use the clone parameter for 
anything > 1. I have not tested that code-path at all and it is highly
likely buggy.

Thanks a lot for taking the time Evgeniy.

cheers,
jamal